org.h2.android

## Class H2Query

- java.lang.Object
- - android.database.sqlite.SQLiteClosable
  - - org.h2.android.H2Closable
    - - org.h2.android.H2Program
      - - org.h2.android.H2Query

    public class H2Query
    extends H2Program

This class represents a prepared statement that returns a result set.

### Field Summary

### Fields inherited from class org.h2.android.H2Program

`prepared`

### Method Summary

Methods
`void` `bindDouble(int index, double value)` Set the specified parameter value.
`void` `bindLong(int index, long value)` Set the specified parameter value.
`void` `bindNull(int index)` Set the specified parameter to NULL.
`void` `bindString(int index, java.lang.String value)` Set the specified parameter value.
`void` `close()` Close the statement.

### Methods inherited from class org.h2.android.H2Program

`bindBlob, clearBindings, getUniqueId, onAllReferencesReleased, onAllReferencesReleasedFromContainer`

### Methods inherited from class org.h2.android.H2Closable

`acquireReference, releaseReference, releaseReferenceFromContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### bindDouble

    public void bindDouble(int index,
                  double value)

Set the specified parameter value.

Overrides:
  `bindDouble` in class `H2Program`
Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### bindLong

    public void bindLong(int index,
                long value)

Set the specified parameter value.

Overrides:
  `bindLong` in class `H2Program`
Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### bindNull

    public void bindNull(int index)

Set the specified parameter to NULL.

Overrides:
  `bindNull` in class `H2Program`
Parameters:
  `index` - the parameter index (0, 1,...)

#### bindString

    public void bindString(int index,
                  java.lang.String value)

Set the specified parameter value.

Overrides:
  `bindString` in class `H2Program`
Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### close

    public void close()

Close the statement.

Overrides:
  `close` in class `H2Program`